---
title: "Retrieve GL Accounts By Code"
slug: "retrieve-gl-accounts-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-gl-accounts-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve GL Accounts By Code

Get/glrestapi/rest/v1/glaccounts

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Account
- By UUID

#### Select Account

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| ChartCode | Chart Code | 010 |

#### By UUID

This is an optional finder for querying a specific Account by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /glrestapi/rest/v1/glaccounts/03022A8690E346A8E06316821FACD0FF |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectAccounts; chartCode=010
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleAccCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='70500040-94dc-46d9-a756-fb9a24cfe81c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b5975e77-46f4-422e-873b-48c690c33f85'>example-0</option>
<option value='d9d96dc3-164d-4d0b-ae9c-79bf04f981b1'>example-1</option>
</select>example-0

Retrieve GL Accounts

```json
{
  "items": [
    {
      "AccConschartCode": "010",
      "AccConschartName": "Chart of Accounts - Truebeck",
      "AccCode": "50000",
      "AccName": "EN",
      "AccLowFlag": "Y",
      "AccSequence": 50000,
      "AccTypeCode": "E",
      "AccTypeName": "EXPENSES",
      "AccVUuid": "03022A8690E246A8E06316821FACD0FF",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E246A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E246A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        }
      ]
    },
    {
      "AccConschartCode": "010",
      "AccConschartName": "Chart of Accounts - Truebeck",
      "AccCode": "50001",
      "AccName": "ED",
      "AccLowFlag": "Y",
      "AccSequence": 50001,
      "AccTypeCode": "E",
      "AccTypeName": "EXPENSES",
      "AccVUuid": "03022A8690E346A8E06316821FACD0FF",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E346A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E346A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 2,
  "count": 2,
  "hasMore": false,
  "limit": 250,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts",
      "name": "glaccounts",
      "kind": "collection"
    }
  ]
}
```

example-1

Retrieve GL Accounts

```json
{
  "items": [
    {
      "AccConschartCode": "010",
      "AccConschartName": "Chart of Accounts - Truebeck",
      "AccCode": "50000",
      "AccName": "EN",
      "AccLowFlag": "Y",
      "AccSequence": 50000,
      "AccTypeCode": "E",
      "AccTypeName": "EXPENSES",
      "AccVUuid": "03022A8690E246A8E06316821FACD0FF",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E246A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E246A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        }
      ]
    },
    {
      "AccConschartCode": "010",
      "AccConschartName": "Chart of Accounts - Truebeck",
      "AccCode": "50001",
      "AccName": "ED",
      "AccLowFlag": "Y",
      "AccSequence": 50001,
      "AccTypeCode": "E",
      "AccTypeName": "EXPENSES",
      "AccVUuid": "03022A8690E346A8E06316821FACD0FF",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E346A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts/03022A8690E346A8E06316821FACD0FF",
          "name": "glaccounts",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 2,
  "count": 2,
  "hasMore": false,
  "limit": 250,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/glrestapi/rest/v1/glaccounts",
      "name": "glaccounts",
      "kind": "collection"
    }
  ]
}
```

object
